#pragma once

#include "ComponentScriptletPlugin.h"
#include "ScriptletContainerFactory.h"

class CWindowAdapterScriptletPlugin : public CComponentScriptletPlugin
{
public:
	DECLARE_REGISTER_SCRIPTLETCOMPONENTPLUGIN_CREATOR(CWindowAdapterScriptletPlugin);
	CWindowAdapterScriptletPlugin(void);
	~CWindowAdapterScriptletPlugin(void);

//override
	BOOL ModifyComponent(CContainer* pParent, CComponent* pTarget, TiXmlElement* pNode);
	CComponent* _CreateComponent(TiXmlElement* pNode);

//operation
	static DWORD ParseWindowStyle(LPCTSTR pszcValue);
	static DWORD ParseWindowExStyle(LPCTSTR pszcValue);

private:
	static DWORD _ParseWindowStyle(LPCTSTR pszcValue);
	static DWORD _ParseWindowExStyle(LPCTSTR pszcValue);
	static void _ParseWindowClass(LPTSTR pszcValue);
};
